<?
Error_Reporting (E_ALL & ~E_NOTICE);

$ct['next_level']=$ct['level']+1;
$ct['flowerbed_max']=$ct['level']*10;
$ct['users_max']=($ct['level']*5)+10+$ct['users_add'];
$ct['users']=mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_user` WHERE `id_collective` = '$ct[id]'"),0);

if(isset($_GET['cash']) && isset($mc) && $ct['id']==$mc['id'])include_once 'inc/collective/cash.php';
if(isset($_GET['hangar']))include_once 'inc/collective/hangar.php';
if(isset($_GET['station']))include_once 'inc/collective/station.php';
if(isset($_GET['flowerbed']) && isset($mc) && $mc['id']==$ct['id'])include_once 'inc/collective/flowerbed_ct.php';
if(isset($_GET['rating']) && isset($_GET['selsovet']))include_once 'inc/collective/rat_ct.php';
if(isset($_GET['rename']) && isset($_GET['selsovet']) && isset($mc) && $mc['id']==$ct['id'])include_once 'inc/collective/collective_rename.php';
if(isset($_GET['enlarge']) && isset($_GET['selsovet']) && isset($mc) && $mc['id']==$ct['id'])include_once 'inc/collective/collective_enlarge.php';
if(isset($_GET['history']) && isset($_GET['selsovet']))include_once 'inc/collective/history_ct.php';
if(isset($_GET['selsovet']))include_once 'inc/collective/selsovet.php';
if(isset($_GET['mailing']) && isset($mc) && $mcu['status']<=3 && $mc['id']==$ct['id'])include_once 'inc/collective/mailing_ct.php';
if(isset($_GET['club']))include_once 'inc/collective/club.php';
if(isset($_GET['buildings']))include_once 'inc/collective/buildings.php';
if(isset($_GET['nalog']) && isset($mc) && $mc['id']==$ct['id'] && $mcu['status']==1)include_once 'inc/collective/nalog.php';

?>
<div class="event"><h1>
<? echo hsc($ct['name']); ?>
</h1></div>
<div class="content">
<div class="block">
<div>
<img src="images/kolhoz310.jpg" alt="kolhoz">
</div>
<ul class="minor">
<li>Уровень: <span class="title">
<? echo $ct['level']; ?>
</span></li>
<li>Опыт: <span class="title"><? echo rating($ct['rating']); ?></span>/<span>
<?
$rating_need=pow(2.71,$ct['level']+1)*1000;
echo rating($rating_need);
?>
</span></li>
<li>Механизация: <span class="title"><?
echo $ct['tehnika'];?></span><span>(<span><? $pr_meh=round($ct['tehnika']/20,2);echo $pr_meh;?></span>%)</span></li>
</ul>
<?
if(isset($mc) && $ct['id']==$mc['id'])
{
if($mcu['status']<=3 && $ct['titleText']==NULL || $ct['titleText']!=NULL)echo "<div><h3>Объявление</h3><div><ul>";
if($mcu['status']<=3 && isset($_GET['titleText']))
{
if(isset($_POST['titleText']) && strlen2($_POST['titleText'])<=64)
{
mysql_query("UPDATE `$db_base`.`kolhoz_collective` SET `titleText` = '".my_esc($_POST['titleText'])."', `titleText_user` = '$ku[id]', `titleText_time` = '$time' WHERE `id` = '$ct[id]'");
header("Location:?mycollective");
}
else echo "<form method='post'><div><label for='titleText'>Текст объявления:</label></div>\n
<div><textarea id='titleText' class='wide' rows='2' name='titleText'>".hsc($ct['titleText'])."</textarea></div>\n
<input type='submit' value='Сохранить'>\n
</form>\n";
}
if($ct['titleText']!=NULL)
{
$uk=mysql_fetch_array(mysql_query("SELECT * FROM `$db_base`.`kolhoz_user` WHERE `id` = '$ct[titleText_user]'"));
echo "<li><span>";
echo "".on_k($uk['id'])."";
echo " <a class='' href='?user=$uk[id]'><span>".nc($ct['titleText_user'])."</span></a> <span class='minor'>".vremja($ct['titleText_time'])."<span></span></span></span></li>";
echo "<li><span class='title'><p>".output_text($ct['titleText'])."</p></span></li>";
}
if($mcu['status']<=3 && !isset($_GET['titleText']))echo "<li><a".($ct['titleText']!=NULL?" class='minor'":null)." href='?mycollective&titleText'>".($ct['titleText']!=NULL?"изменить":"Дать объявление")."</a></li>";
if($mcu['status']<=3 && $ct['titleText']==NULL || $ct['titleText']!=NULL)echo "</ul></div><div></div></div>
";
}
?>
<h3>Здания</h3>
<ul>
<li><img width="16" height="16" src="images/icons/favorite.png" alt="o"> <a class="epic" href="?collective=<? echo $ct['id']; ?>&selsovet">Сельсовет</a> <span class="minor">(<span><? echo $ct['users'];?></span>/<span><? echo $ct['users_max'];?></span>)</span> <span class="minor small">Чат, колхозники, рейтинги, история колхоза.</span></li>
<?
if(isset($mc) && $mc['id']==$ct['id'])
{
$count_max=$ct['level']*10;
$time_rubies=floor(86400/$count_max);
$time_mezh=$time-$ct['time_obmen'];
$count_rubies=floor($time_mezh/$time_rubies);
if($count_rubies>$count_max)$count_rubies=$count_max;
echo "<li><img width='16' height='16' src='images/icons/flowerbed.png' alt='o'> <a class='epic' href='?collective=$ct[id]&flowerbed'>Цветник</a>";
if($ct['flowerbed']==1)
{
echo '<span class="minor">(<span>';
$count_flowerbed=$count_rubies;
echo $count_flowerbed;
echo '</span>/<span>';
echo $ct['flowerbed_max'];
echo '</span>)</span>';
}
echo ' <span class="small minor">Обмен колхозных монет на рубины.</span></li>';
}
?>
<li><img width="16" height="16" src="images/icons/forum.png" alt="o"> <a class="epic" href="?collective=<? echo $ct['id'];?>&club">Дом культуры</a></span> <span class="small minor">Колхозные форумы.</span></li>
<?
if(isset($mc) && $mc['id']==$ct['id'])
{
echo "<li><img width='16' height='16' src='images/icons/mails.png' alt='o'> ".($mcu['status']<=3?"<a class='epic' href='?collective=$ct[id]&mailing'>":"<span class='epic'>")."Почтамт".($mcu['status']<=3?"</a>":"</span>")."".($mcu['status']>3?" <span class='small minor'>(доступно начиная с агронома)</span>":null)." <span class='small minor'>Рассылка жителям колхоза.</span></li>";
echo '<li><img width="16" height="16" src="images/icons/ruby.png" alt="o"> <a class="epic" href="?collective='.$ct['id'].'&cash">Касса</a> <span class="minor"><span><img width="16" height="16" src="images/icons/ruby.png" alt="o"> <span class="title">'.$ct['rubies'].'</span></span> <span><img width="16" height="16" src="images/icons/money.png" alt="o"> <span class="title">'.$ct['money'].'</span></span></span> <span class="small minor">Пополнение кассы, рейтинги плательщиков.</span></li>';
}
?>

<?
echo "<li><img width='16' height='16' src='images/icons/money.png' alt='o'> ".($mcu['status']==1 && isset($mc) && $mc['id']==$ct['id']?"<a class='epic' href='?collective=$ct[id]&nalog'>":"<span class='epic'>")."Налоговая".($mcu['status']==1 && isset($mc) && $mc['id']==$ct['id']?"</a>":"</span>")."".($ct['nalog']>0?" <span class='minor'><span>$ct[nalog]</span>%</span>":null)." <span class='small minor'>Колхозный налог на монеты.</span></li>";
?>

<li><img width="16" height="16" src="images/icons/heli4n.png" alt="o"> <a class="epic" href="?collective=<? echo $ct['id'];?>&hangar">Ангар</a> <span class="minor">(<span><? echo mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_heli` WHERE `id_collective` = '$ct[id]' AND `heli` = '1'"),0);?></span>, <span><? echo mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_heli` WHERE `id_collective` = '$ct[id]' AND `heli` = '2'"),0);?></span>, <span><? echo mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_heli` WHERE `id_collective` = '$ct[id]' AND `heli` = '3'"),0);?></span>, <span><? echo mysql_result(mysql_query("SELECT COUNT(*) FROM `$db_base`.`kolhoz_collective_heli` WHERE `id_collective` = '$ct[id]' AND `heli` = '4'"),0);?></span>)</span> <span class="small minor">Колхозные вертолеты.</span></li>



<li><img width="16" height="16" src="images/icons/guild.png" alt="o"> <a class="epic" href="?collective=<? echo $ct['id'];?>&buildings">Постройки</a></li>

</ul>
</div>
<?
include_once 'inc/foot.php';
?>